package com.yd.dal.mapper.customer;

import com.yd.dal.entity.customer.AclCustomerObjectShare;
import org.apache.ibatis.annotations.Param;

public interface AclCustomerObjectShareMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AclCustomerObjectShare record);

    int insertSelective(AclCustomerObjectShare record);

    AclCustomerObjectShare selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AclCustomerObjectShare record);

    int updateByPrimaryKey(AclCustomerObjectShare record);

    Long findIdByShareCode(@Param("shareCode") String shareCode);
}